package de.ivu.elect.business.replikation.entity;

public enum GovExpressStimmeingabeValidierung {

  OHNE {
    @Override
    public boolean isValidierung() {
      return false;
    }
  },
  MIT,
  MIT_KANN_FEHLER_AUTOMATISCH_BESTAETIGEN {
    @Override
    public boolean isKannFehlerBestaetigen() {
      return true;
    }
  };


  public boolean isValidierung() {
    return true;
  }


  public boolean isKannFehlerBestaetigen() {
    return false;
  }

}
